#!/usr/bin/env python
import coral
L = coral.lang.UML14
m = L.Model()

assert(m.__type__() == L.Model)
assert(L.Model == L.getElement("Model"))
assert(m.__type__() == L.getElement("Model"))

d = {}
d[L.Model] = 1

assert(d.has_key(m.__type__()))
assert(d.has_key(L.Model))
assert(d.has_key(L.getElement("Model")))

d[m.__type__()] = 1
d[L.getElement("Model")] = 1

assert(len(d.keys()) == 1)
